# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_version: %define python_version %(%{__python} -c "import sys; print sys.version[0:3]")}

Name:           python-gasp
Version:        0.3.2
Release:        3%{?dist}
Summary:        API wrapper on top of pygame
Group:          Development/Libraries
License:        GPLv3+
URL:            http://launchpad.net/gasp-core
Source0:        http://launchpad.net/gasp-core/0.3.x/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       pygame
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
GASP provides a simple, procedural graphics API for beginning 
students using Python. 

It allows for the easy creation of 1980's style games with litle
or no prior programming experince.

It is a wrapper around pygame.

%prep
%setup -q -n %{name}-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 0755 $RPM_BUILD_ROOT/%{python_sitelib}/gasp/*.py

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%dir %{python_sitelib}/gasp
%{python_sitelib}/gasp/*
%dir %{python_sitelib}/gasp-%{version}-py%{python_version}.egg-info
%{python_sitelib}/gasp-%{version}-py%{python_version}.egg-info/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Sep 12 2009 Sebastian Dziallas <sebastian@when.com> - 0.3.2-1
- update to new upstream release series

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0beta1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0beta1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.0beta1-2
- Rebuild for Python 2.6

* Thu Jun 05 2008 Bernie Innocenti <bernie@codewiz.org> - 0.2.0beta1-1
- Rename "python-pygame" dependency to "pygame".

* Sat Mar 22 2008 ffm <ffm246+change@gmail.com> - 0.2.0beta1-0
- Rewrote some of the api, broke backward compatability.
- Speed increases
- Removed wait()
- end_graphics() no calls  thread.isAlive() to make sure it does not quit intill the thread is dead.
- Rewrote tests
- See http://launchpad.net/gasp-code for the full list of changes

* Mon Feb 04 2008 ffm <ffm246+change@gmail.com> - 0.1.1-0
- Image support added/fixed, they can now be used anywhere.

* Wed Jan 30 2008 ffm <ffm@intserverror.com> - 0.1-5
- FEDORA: Fixed package URL, again

* Tue Jan 18 2008 ffm <ffm@intserverror.com> - 0.1-4
- FEDORA: Fixed package URL

* Tue Jan 18 2008 ffm <ffm@intserverror.com> - 0.1-3
- More fixes for Fedora packaging.

* Sat Jan 18 2008 ffm <ffm@intserverror.com> - 0.1-2
- Removed python as a dependency from the package per the fedora packaging guidelines.

* Sat Jan 18 2008 ffm <ffm@intserverror.com> - 0.1-1
- Initial release for packaging
